Internal Cryptographic Backend
Enhanced System API » Internals of Enhanced System API

## Functions

TSS2_RC | iesys_crypto_hash_get_digest_size (TPM2_ALG_ID hashAlg, size_t *size)

## Detailed Description

The types and functions used internally by ESAPI for cryptographic operations. Multiple implementations of these functions may exist for different cryptographic backends.

## Function Documentation

## iesys_crypto_hash_get_digest_size()

TSS2_RC iesys_crypto_hash_get_digest_size | ( | TPM2_ALG_ID | hashAlg,
|  | size_t * | size )

Provide the digest size for a given hash algorithm.

This function provides the size of the digest for a given hash algorithm.

Parameters

  [in] | hashAlg | The hash algorithm to get the size for.
  [out] | size | The side of a digest of the hash algorithm.

Return values

  TSS2_RC_SUCCESS | on success.
  TSS2_ESYS_RC_BAD_VALUE | if hashAlg is unknown or unsupported.